#!/bin/ash
Info="####
# $MBINS/pifpag3-cairo.sh
# Objectif : Compléter le menu wmx créé par le script MAJ_Update-3.sh en créant un « aemenu » compact. /
# Goal : To create a compact "aemenu" to complement the wmx menu created by the MAJ_Update-3.sh script.
# Requiert : / Requires: aemenu-pango ( vovchik ), aedesk ( aewm ), MAJ_Update-3.sh ( musher0 ) &
# ............... /root/.wmx/PupMenu, rox, awk, grep, xdotool, visionner-avec-less4a.sh ( musher0 ).
# (c) Christian L'Écuyer, Gatineau (Qc), Canada, 28 déc. 2016, 4 janv. 2017, 5-7 avril 2017. GPL3
# ( Alias musher0 [ forum Puppy ] )
####" # set -xe
A="$@"
MenuScripT () { killall -q aemenu; # Remove any slag. / Enlever les scories. # Prép.

	MBINS="/root/my-applications/bin";AEM="/root/my-applications/ae"  # Variables

	$AEM/fonte+couleurs.sh # Mise en forme # pour l'uniformité / For consistency
	CaracT="`cat /usr/local/share/CaracT`";ColoR="`cat  /usr/local/share/ColoR`"
	ColoR2="`cat  /usr/local/share/ColoR2`";ColoR2="${ColoR2:0:7}"
	SizE="`cat  /usr/local/share/SizE`";SizE="$[$SizE + 2]"
	SprtR="<span color='$ColoR2'>━━━━━━━━━━━━</span>"
	SprtR2="<span color='$ColoR2'>━━━━━━━━</span>";SprtR3="<span color='$ColoR2'>━━━━━━</span>"
	LignE="cmd \"$SprtR\" \"$MBINS/pifpag3-cairo.sh\"";LignE2="cmd \"$SprtR2\" \"$MBINS/pifpag3-cairo.sh\""

	case "${LANG:0:2}" in fr)Aid="Page d'aide";BUR="Bureau";MV="MEV";Perso="Personnel";QiT="Sorties";
			RAFR="Rafraîchir ce menu";Run="Exécuter";TempSys="Temp. syst. :";Utils="Utilitaires" ;;
		en|*)Aid="Help Page";BUR="Desktop";MV="RAM";Perso="Personal";QiT="Exits";
			RAFR="Refresh this menu";Run="~Run~";TempSys="Syst. Temp.:";Utils="Utilities" ;;
	esac

	MEVDISP="";MEVDISP="`grep Mem /proc/meminfo | tr -s ' ' | tr '\n' ' ' | awk '{ print $5/$2*100 }'`"
	MEVDISP="${MEVDISP:0:5} %" # MEV / RAM
	a="`xdotool get_desktop`";bur="`expr $a + 1`";bur="$BUR $bur" # Sur quel bureau on est.
	SensorS="`which sensors;echo $?`" # Température
	case $SensorS in 0)sysTEMP="`sensors | awk '$1 ~ /temp/ { s += $2;n++ } END { printf "%4.1f", s/n }'`"
			echo -e "$TITR 'sensors' :\n-----------------------\\n\n`sensors`\n\n" > /tmp/systemp ;;
		*)sysTEMP="`acpi -t | awk '{ print $4 }'`"
			echo -e "$TITR 'acpi -t -i' :\n-------------------------\\n`acpi -t -i | cut -d' ' -f 4-10,12,14`\n\n" > /tmp/systemp ;;
	esac
	sysTEMP="$sysTEMP° C";wc -l /tmp/systemp > /tmp/nlignes # height of less window.

	Remplir () { echo -e "menu $i\n$LignE2" >> /root/.wmx/complement3;
	ls -Algo --file-type ./*$i | awk '{ print $NF }' | grep -E -v "^[[:digit:]]|~|^_|oris\/|ites\/" >/root/.wmx/sub-menu.lst
	awk '$1 !~ /:/ { print "cmd "$1,"\"rox /usr/share/applications/"$1".desktop\"" }' /root/.wmx/sub-menu.lst  >> /root/.wmx/complement3
	echo -e "$LignE2\nend\n" >> /root/.wmx/complement3; }

	StructuB () { echo -e "menu ${SUBSTRUCTR%+*}\n$LignE2" >> /root/.wmx/complement3;
# echo ${SUBSTRUCTR%+* # début ### echo ${SUBSTRUCTR#*+ # fin
	for i in `echo ${SUBSTRUCTR#*+} | tr "-" " "`;do Remplir;done
	echo -e "$LignE2\nend\n" >> /root/.wmx/complement3; }

	MilieU () {
	echo -e "menu \"$SprtR2\"\n$LignE2
	cmd \"$RAFR\" \"rm -f /root/.wmx/pifpouf;/root/.wmx/MAJ_Update-3.sh;sleep 0.1s;$MBINS/pifpag3-cairo.sh\"
	cmd \"<    $Run\" \"$MBINS/terminaux/console-tres-mince.sh\"\n$LignE2
	end\n" >> /root/.wmx/complement3;for i in $Perso;do Remplir;done; } 	# milieu / middle #

	cd /root/.wmx/PupMenu # Création
	echo -e "# aemenu #\n\nmenu \"<span rise='-32000' font='$Caract Bold 18' underline='single'><span color='SaddleBrown'><i>Puppy Linux</i></span></span>\"\n$LignE2
	cmd \"<    $Aid\" puppyhelp\n$LignE2
end\n
menu \"$SprtR\"\n$LignE2
	cmd \"`date '+%a. %d %b., %R'`\" \"hic-et-nunc2.sh;pifpag-cairo.sh\"
	cmd \"$TempSys $sysTEMP\" \"visionner-avec-less4a.sh /tmp/systemp;pifpag-cairo.sh\"
	cmd \"$SprtR3\" \" \"
	menu \"$bur\"\ncmd \"$SprtR3\" \" \"\ncmd \"   ~=>\" \"$AEM/aedesk +1;pifpag-cairo.sh\"
		cmd \"  <=~\" \"$AEM/aedesk -1;pifpag-cairo.sh\"\ncmd \"$SprtR3\" \" \"
		cmd \"   + 2\" \"$AEM/aedesk +2;pifpag-cairo.sh\"
		cmd \"   - 2\" \"$AEM/aedesk -2;pifpag-cairo.sh\"\ncmd \"$SprtR3\" \" \"
	end\n
	cmd \"$MV: $MEVDISP\" \"/root/my-applications/Systeme/cleanup_memory;pifpag-cairo.sh\"
	$LignE2
end\n" > /root/.wmx/complement3
	SUBSTRUCTR=""
	case "${LANG:0:2}" in fr)echo -e "# Permet de déplacer le menu à partir du menu." >> /root/.wmx/complement3
			for SUBSTRUCTR in Bureautique+Affaires-BdD-Documents Connexions+Internet-Réseau Divertissement+Graphiques-Jeux-Multimédia Fichiers+Archivage-Gestion_de_fichiers-Gravure-Système_de_fichiers
			do StructuB;done ;;
		en|*)LC_ALL=C;echo -e "# Allows the menu to be moved from the menu." >> /root/.wmx/complement3
			for SUBSTRUCTR in Connections+Internet-Network Files+Archiving-Burning-File_Managing-Filesystem Leisure+Games-Graphics-Multimedia Office+Business-Database-Documents
			do StructuB;done;LC_ALL="" ;;
	esac
	MilieU;SUBSTRUCTR=""
	case "${LANG:0:2}" in fr)for SUBSTRUCTR in Programmation+Développement-Emulateurs-Java Réglages+Assistants-Bureau-Paramétrage-Système
			do StructuB;done ;;
		en|*)LC_ALL=C;for SUBSTRUCTR in Programming+Development-Emulators-Java Settings+Desktop-Setup-System-Wizards
			do StructuB;done;LC_ALL="" ;;
	esac
	for i in $Utils;do Remplir;done
	replaceit --input=/root/.wmx/complement3 --wholeline "Sorties.desktop" "#"
	echo -e "menu \"$SprtR\"\n$LignE2\ncmd \"<     $QiT\" \"rox /usr/share/applications/Sorties.desktop\"
	$LignE2\nend\n\n#### Créé par le script : / Created by script: $Info" >> /root/.wmx/complement3

	rm -f /root/.wmx/sub-menu.lst # Nettoyage
aemenu -rc /root/.wmx/complement3 &>/dev/null # Action
}
[ "$A" = "a" -o "$A" = "h" ] && echo -e "\n$Info\n" || MenuScripT
